# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-12-12 23:02
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('npm', models.CharField(max_length=32, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=1286, null=True)),
                ('email', models.CharField(max_length=646, null=True)),
                ('linkedin', models.CharField(max_length=256, null=True)),
                ('headline', models.TextField(null=True)),
                ('picture_url', models.TextField(null=True)),
                ('showing_score', models.BooleanField(default=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skill_title', models.CharField(max_length=32)),
                ('skill_level', models.CharField(choices=[('I', 'Intermediate'), ('A', 'Advanced'), ('E', 'Expert'), ('L', 'Legend')], default='I', max_length=1)),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='profile_page.Profile')),
            ],
        ),
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(max_length=300)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='profile_page.Profile')),
            ],
        ),
    ]
